<template>
<tr v-if="Object.keys(client).length !== 0">
  <td v-for="(field, index) in fields" :key="index">
    {{ client[field] }}
  </td>
  <td class="text-center">
    <router-link 
      :to="{ name: 'client_edit', params: { id: client.id } }"
      role="button"
      class="btn btn-primary">
      Edit
    </router-link>
    <router-link 
      :to="{ name: 'client_detail', params: { id: client.id } }"
      role="button"
      class="btn btn-primary">
      View
    </router-link>
  </td>
</tr>
</template>

<script>
export default {
  name: 'Client',
  props: {
    data: Object,
    fields: Array,
  },
  data: function () {
    return {
      client: Object.assign({}, this.data),
    }
  },
}
</script>
